Bug 450303 - libvirt: please default to auth_admin in PolicyKit configuration
libvirt: please default to auth_admin in PolicyKit configuration
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-06 11:23 EDT by Tomas Hoger
Modified: 2008-11-04 06:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-04 06:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-06 11:23:56 EDT
PolicyKit configuration for action org.libvirt.unix.manage currently defaults to
auth_self_keep_session, allowing user to authenticate using his/her own password
to use privileged libvirtd services.  This default was picked up to mimic sudo
like behavior.

However, such decision should probably be left to the system administrator and
default policy should be safe, i.e. use auth_admin_keep_session instead. 
Administrator can easily override such default when needed using PolicyKit
configuration files / tools.
Comment 1 Daniel Berrange 2008-07-09 05:47:11 EDT
Patch posted upstream


Comment 2 Daniel Berrange 2008-11-04 06:08:43 EST
This change was incorporated in libvirt 0.4.5 release

Note You need to log in before you can comment on or make changes to this bug.